List all holidays of a country

List all holidays of a country for a specific year. Optionally, it can be filtered by country subdivision.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Client credentials access token (OAuth2ClientCredentials) — obtained through the Client Credentials flow or the Refresh Token flow. See Authentication for partners.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:read and all:write work too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage company resources (company_admin)View countries (country:read)-
Company-scoped access token (assertion)Manage company resources (company_admin)View countries (country:read)-
Client credentials access tokenManage company resources (company_admin)View countries (country:read)-
Customer API tokenManage company resources (company_admin)View countries (country:read)-
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Country code according to ISO 3166-1 3-digit alphabetic codes

string
required

Year for the holidays

Query Params
string

Country subdivision code according to ISO 3166-2 codes

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json